body {
  background: #142143;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue',
    sans-serif;
}

a {
  text-decoration: none;
}

.timelineContainer {
  width: 100%;
  max-width: 100%;
  border: 2px solid rgba(102, 118, 154, 0.4);
  border-radius: 8px;
}

.timelineHeader {

  padding: 10px;
  color: #000;
  background-color: #ffffff;
  transition-duration: 100ms;
}

.timelineHeader h2 {
  font-size: 20px;
  margin: 0;
  padding: 0;
}

.timelineHeader:hover {
  background-color: #1A2A55;
  color: #ffffff;
}

.timelineHeader:hover h2 {
  color: #ffffff;

  text-decoration-thickness: 1px;
}

.contentContainer {
  max-width: 100%;
  position: relative;
  border-top: 2px solid rgba(102, 118, 154, 0.4);
  display: flex;
  padding: 1rem 1rem;
  padding-bottom: 0.75rem;
  transition-duration: 0.2s;
  cursor: pointer;
  background: #ffffff;
  color: #000000 !important;
}

.contentContainer:hover {
  background: #1A2A55;
}

.contentContainer:hover .answers {
  fill: #ffffff;
  color: #ffffff;
}

.contentContainer:hover .favorites {
  fill: #ffffff;
  color: #ffffff;
}

.quotedContainer {
  max-width: fit-content;
  display: flex;
  border: 2px solid rgba(102, 118, 154, 0.4);
  border-radius: 15px;
  padding: 0.5rem;
}

.profileImageBusiness {
  border-radius: 8px;
  width: 2.5rem;
}

.profileImageUser {
  border-radius: 50%;
  width: 2.5rem;
}

.quotedPofileImage {
  border-radius: 50%;
  width: 2rem;
}

.textContainer {
  min-width: 0;
  margin-left: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1;
  min-height: 0;
}

.headerContainer {
  width: 280px;
  max-width: 100%;
  display: flex;
  color: #ffffff;
  justify-content: space-between;
}

.quotedHeaderContainer {
  width: 170px;
  display: flex;
  color: #ffffff;
  justify-content: space-between;
}

.headerTextContainer {
  display: flex;
  width: 90%;
  color: #ffffff;
}

.quotedHeaderTextContainer {
  display: flex;
  width: 100%;
  color: #ffffff;
}

.headerTextNameContainer {
  display: flex;
  column-gap: 0.2rem;
  align-items: center;
}

.brandName {
  padding-top: 0;
  color: #000000;
  font-size: 16px;
  font-weight: 500;
  padding: 0;
  margin: 0;
  line-clamp: 1;
  text-wrap: nowrap;
  overflow-wrap: break-word;
  -webkit-line-clamp: 1;
}

.contentContainer:hover .brandName {
  color: #ffffff;
}

.contentContainer:hover .nickname {
  color: #ffffff;
}

.contentContainer:hover .dateText {
  color: #ffffff;
}

.nickname {
  color: #71767b;
  font-size: 15px;
  margin: 0;
  justify-self: stretch;
  margin-top: 0px;
  margin-left: 4px;
  padding: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

#headerDot {
  width: 2px;
  height: 2px;
  border-radius: 50%;
  margin-top: 0.6rem;
  margin-left: 0.45rem;
  min-width: 2px;
  background-color: #71767b;
}

.dateText {
  width: max-content;
  color: #71767b;
  font-size: 15px;
  margin: 0;
  padding: 0;
  margin-left: 0.5rem;
  line-clamp: 1;
  -webkit-line-clamp: 1;
  text-overflow: ellipsis;
  overflow: hidden;
}

.tweetContent {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1;
  min-height: 0;
}

.tweetTextArea {
  margin-top: 0.15rem;
  color: #fff;
  min-height: 54px;
  max-height: 80px;
  overflow: hidden;
  flex-shrink: 0;
}

.hashtag {
  color: #1d9bf0;
}

.tweetTextArea p {
  margin: 0;
  padding: 0;
  color: #000;
  font-size: 15px;
  line-height: 18px;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-word;
}

.contentContainer:hover .tweetTextArea p {
  color: #ffffff;
}

.tweetImage {
  width: 100%;
  border-radius: 10px;
  border: 1px solid #333639;
  max-height: 270px;
}

.attachmentsContainer {
  margin-top: 0.5rem;
  position: relative;
  width: 100%;
  max-width: 100%;
  max-height: 340px;
}

.playIcon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.gallery2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2px;
  width: 100%;
}

.gallery2 img {
  width: 100%;
  height: 100%;
  min-height: 140px;
  object-fit: cover;
  border-radius: 0px;
}

.gallery2 div:nth-child(1) img {
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
}

.gallery2 div:nth-child(2) img {
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
}

.gallery3 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 2px;
  width: 100%;
  min-height: 180px;
}

.gallery3 img {
  width: 100%;
  height: 100%;
  min-height: 0;
  object-fit: cover;
  border-radius: 0px;
}

.gallery3 img:nth-child(1) {
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
  grid-row: span 2 / span 2;
  height: 100%;
}

.gallery3 img:nth-child(2) {
  grid-column: span 1 / span 1;
  border-top-right-radius: 15px;
}

.gallery3 img:nth-child(3) {
  grid-column: span 1 / span 1;
  border-bottom-right-radius: 15px;
}

.gallery4 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 2px;
  width: 100%;
  min-height: 180px;
}

.gallery4 img {
  width: 100%;
  height: 100%;
  min-height: 0;
  object-fit: cover;
  border-radius: 0px;
}

.gallery4 img:nth-child(1) {
  border-top-left-radius: 15px;
}

.gallery4 img:nth-child(2) {
  border-top-right-radius: 15px;
}

.gallery4 img:nth-child(3) {
  border-bottom-left-radius: 15px;
}

.gallery4 img:nth-child(4) {
  border-bottom-right-radius: 15px;
}

.metricsContainer {
  display: flex;
  column-gap: 10px;
  margin-top: 0.75rem;
  font-size: 13px;
  flex-shrink: 0;
  margin-top: auto;
}

.answers {
  display: flex;
  fill: #71767b;
  color: #71767b;
}

.tweetContentMobile:hover .answers {
  fill: #fff !important;
  color: #fff !important;
}

.favorites {
  display: flex;
  fill: #71767b;
  color: #71767b;
}

.tweetContentMobile:hover .favorites {
  fill: #fff !important;
  color: #fff !important;
}

.metricsContainer div span {
  padding-top: 0.15rem;
}

.answersIcon {
  width: 20px;
  margin-right: 0.25rem;
}

.retweetText {
  margin-bottom: 0.5rem;
  color: #71767b;
  font-weight: bold;
  font-size: 12px;
}

.retweetIcon {
  transform: translate(0.2rem, -0.1rem);
  text-align: end;
  align-items: end;
  margin-bottom: 0.5rem;
  color: #71767b;
  font-weight: bold;
  font-size: 12px;
}

.tweetContentMobile {
  display: none;
  padding: 0.5rem;
  background-color: #FFF;
  transition: all 0.3s ease;
}

.tweetContentMobile:hover {
  background-color: #1A2A55;
  color: #fff;
  transform: translateY(-5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

.tweetContentMobile:hover p {
  color: #fff !important;
}

.hedaerInfoTextArea {
  display: flex;
  overflow: hidden;
}

@media only screen and (max-width: 600px) {
  .timelineContainer {
    border-radius: 0;
  }

  .contentContainer {
    padding: 1rem 0.5rem;
    padding-bottom: 0.75rem;
  }

  .tweetContent {
    display: none;
    justify-content: space-between;
  }

  .tweetContentMobile {
    display: block;
  }

  .headerTextContainer {
    flex-direction: column;
  }

  .hedaerInfoTextArea {
    flex-direction: row;
  }

  .attachmentsContainer {
    width: 100%;
  }
}

@media only screen and (max-width: 1830px) {
  .tweetImage {
    width: 100%;
    border-radius: 10px;
    border: 1px solid #333639;
    max-height: 300px;
  }

  .attachmentsContainer {
    margin-top: 0.75rem;
    position: relative;
    width: auto;
    max-height: 300px;
    width: 100%;

  }
}

@media only screen and (max-width: 991px) {
  .timelineContainer {
    width: 100%;
    max-width: 100%;
  }
}

@media only screen and (max-width: 360px) {
  .timelineContainer {
    width: 100%;
  }

  .headerContainer {
    width: 220px;
  }

  .attachmentsContainer {
    width: 220px;
  }
}